]> Savannah Git Hosting - gnulib/maint-tools.git/commitdiff
gnulib-tool-tests: Add a global test-all.sh script.
authorBruno Haible <bruno@clisp.org>
Sat, 20 Apr 2024 18:54:19 +0000 (20:54 +0200)
committerBruno Haible <bruno@clisp.org>
Sat, 20 Apr 2024 18:54:19 +0000 (20:54 +0200)
gnulib-tool-tests/test-all.sh [new file with mode: 0755]

diff --git a/gnulib-tool-tests/test-all.sh b/gnulib-tool-tests/test-all.sh
new file mode 100755 (executable)
index 0000000..9369a7f
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+fail=0
+for dir in info-tests create-tests import-tests; do
+  echo "Running tests in $dir..."
+  (cd "$dir" && ./test-all.sh)
+  case $? in
+    0) # PASS
+      ;;
+    77) # SKIP
+      ;;
+    *) # FAIL
+      fail=1
+      ;;
+  esac
+done
+exit $fail